# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::PlyLoader::PlyPropertyAbstract Class Reference

Used by PlyLoader. More...

`#include <vlPLY.hpp>`

Inheritance diagram for vl::PlyLoader::PlyPropertyAbstract:

List of all members.

## Public Member Functions

const String & | name () const
void | setName (const String &name)
virtual void | read (VirtualFile *, bool le)=0
virtual void | read (TextStream *text)=0

## Protected Attributes

String | mName

## Detailed Description

Used by PlyLoader.

Definition at line 106 of file vlPLY.hpp.

## Member Function Documentation

const String& vl::PlyLoader::PlyPropertyAbstract::name | ( | ) | const`[inline]`

Definition at line 109 of file vlPLY.hpp.

Referenced by vl::PlyLoader::PlyElement::analyze(), and vl::PlyLoader::newElement().

void vl::PlyLoader::PlyPropertyAbstract::setName | ( | const String & | name ) | `[inline]`

Definition at line 110 of file vlPLY.hpp.

virtual void vl::PlyLoader::PlyPropertyAbstract::read | ( | VirtualFile * | ,
|  | bool | le
| ) |  | `[pure virtual]`

Implemented in vl::PlyLoader::PlyScalar, and vl::PlyLoader::PlyScalarList.

virtual void vl::PlyLoader::PlyPropertyAbstract::read | ( | TextStream * | text ) | `[pure virtual]`

Implemented in vl::PlyLoader::PlyScalar, and vl::PlyLoader::PlyScalarList.

## Member Data Documentation

String vl::PlyLoader::PlyPropertyAbstract::mName`[protected]`

Definition at line 114 of file vlPLY.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/vlPLY.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:43.
Permission is granted to use this page to write and publish articles regarding Visualization Library.